// creator  : weidu.exe (version 23600)
// argument : GAMES3.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~GAMES3~

IF ~  RandomNum(38,1)
~ THEN BEGIN 0 // from:
  SAY #19305 /* ~The game is roulette in its simplest form. You pick your number and you take your chances. One will get you thirty-six on a winning spin.~ */
  IF ~  PartyGoldGT(0)
~ THEN REPLY #19306 /* ~Wager 1 gold.~ */ DO ~TakePartyGold(1)
~ GOTO 1
  IF ~  PartyGoldGT(1)
~ THEN REPLY #19308 /* ~Wager 2 gold.~ */ DO ~TakePartyGold(2)
~ GOTO 2
  IF ~  PartyGoldGT(4)
~ THEN REPLY #19310 /* ~Wager 5 gold.~ */ DO ~TakePartyGold(5)
~ GOTO 3
  IF ~  PartyGoldGT(9)
~ THEN REPLY #19312 /* ~Wager 10 gold.~ */ DO ~TakePartyGold(10)
~ GOTO 4
  IF ~~ THEN REPLY #19339 /* ~No, thanks.~ */ GOTO 6
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #19314 /* ~We have a winner! I take the 1 gold you bet and give you 36 back!~ */
  IF ~~ THEN DO ~GiveGoldForce(36)
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #19315 /* ~We have a winner! I take the 2 gold you bet and give you 72 back!~ */
  IF ~~ THEN DO ~GiveGoldForce(72)
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #19316 /* ~We have a winner! I take the 5 gold you bet and give you 180 back!~ */
  IF ~~ THEN DO ~GiveGoldForce(180)
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.3
  SAY #19317 /* ~We have a winner! I take the 10 gold you bet and give you 360 back!~ */
  IF ~~ THEN DO ~GiveGoldForce(360)
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 7.3 7.2 7.1 7.0
  SAY #19318 /* ~Oooooh, I'm so very sorry. Next!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from: 7.4 0.4
  SAY #19338 /* ~Then step aside. I need this space for people willing to play.~ */
  IF ~~ THEN EXIT
END

IF ~  True()
~ THEN BEGIN 7 // from:
  SAY #19408 /* ~The game is roulette in its simplest form. You pick your number and you take your chances. One will get you thirty-six on a winning spin.~ */
  IF ~  PartyGoldGT(0)
~ THEN REPLY #19307 /* ~Wager 1 gold.~ */ DO ~TakePartyGold(1)
~ GOTO 5
  IF ~  PartyGoldGT(1)
~ THEN REPLY #19309 /* ~Wager 2 gold.~ */ DO ~TakePartyGold(2)
~ GOTO 5
  IF ~  PartyGoldGT(4)
~ THEN REPLY #19311 /* ~Wager 5 gold.~ */ DO ~TakePartyGold(5)
~ GOTO 5
  IF ~  PartyGoldGT(9)
~ THEN REPLY #19313 /* ~Wager 10 gold.~ */ DO ~TakePartyGold(10)
~ GOTO 5
  IF ~~ THEN REPLY #19440 /* ~No, thanks.~ */ GOTO 6
END
